### Hierarchy

- Object
  - Obj

### Indexable

[key: string]: any

## Index

### Properties

- Object
- constructor

### Methods

- hasOwnProperty
- isPrototypeOf
- propertyIsEnumerable
- toLocaleString
- toString
- valueOf

## Properties

Object: ObjectConstructor

Provides functionality common to all JavaScript objects.

Provides functionality common to all JavaScript objects.

- Defined in /Users/cthielen/projects/uirouter/core/node_modules/typedoc/node_modules/typescript/lib/lib.es6.d.ts:245

constructor: Function

The initial value of Object.prototype.constructor is the standard built-in Object constructor.

The initial value of Object.prototype.constructor is the standard built-in Object constructor.

Inherited from Object.constructor

- Defined in /Users/cthielen/projects/uirouter/core/node_modules/typedoc/node_modules/typescript/lib/lib.es6.d.ts:100

## Methods

- hasOwnProperty(v: string): boolean

- Determines whether an object has a property with the specified name.

- Determines whether an object has a property with the specified name.

  #### Parameters

  - ##### v string

    :

    A property name.

  #### Returns boolean

  Inherited from Object.hasOwnProperty

  Overwrites Object.hasOwnProperty

  - Defined in /Users/cthielen/projects/uirouter/core/node_modules/typedoc/node_modules/typescript/lib/lib.es6.d.ts:115

- isPrototypeOf(v: Object): boolean

- Determines whether an object exists in another object's prototype chain.

- Determines whether an object exists in another object's prototype chain.

  #### Parameters

  - ##### v Object

    :

    Another object whose prototype chain is to be checked.

  #### Returns boolean

  Inherited from Object.isPrototypeOf

  - Defined in /Users/cthielen/projects/uirouter/core/node_modules/typedoc/node_modules/typescript/lib/lib.es6.d.ts:121

- propertyIsEnumerable(v: string): boolean

- Determines whether a specified property is enumerable.

- Determines whether a specified property is enumerable.

  #### Parameters

  - ##### v string

    :

    A property name.

  #### Returns boolean

  Inherited from Object.propertyIsEnumerable

  Overwrites Object.propertyIsEnumerable

  - Defined in /Users/cthielen/projects/uirouter/core/node_modules/typedoc/node_modules/typescript/lib/lib.es6.d.ts:127

- toLocaleString(): string

- Returns a date converted to a string using the current locale.

- Returns a date converted to a string using the current locale.

  #### Returns string

  Inherited from Object.toLocaleString

  - Defined in /Users/cthielen/projects/uirouter/core/node_modules/typedoc/node_modules/typescript/lib/lib.es6.d.ts:106

- toString(): string

- Returns a string representation of an object.

- Returns a string representation of an object.

  #### Returns string

  Inherited from Object.toString

  - Defined in /Users/cthielen/projects/uirouter/core/node_modules/typedoc/node_modules/typescript/lib/lib.es6.d.ts:103

- valueOf(): Object

- Returns the primitive value of the specified object.

- Returns the primitive value of the specified object.

  #### Returns Object

  Inherited from Object.valueOf

  - Defined in /Users/cthielen/projects/uirouter/core/node_modules/typedoc/node_modules/typescript/lib/lib.es6.d.ts:109

Generated using TypeDoc